nailgun-agent can not grab network interface speed after node discovery

Bug #1537104 reported by Dima Herasimenko on 2016-01-22
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
Medium
Dima Herasimenko
Mitaka
Medium
Dima Herasimenko
Newton
Medium
Dima Herasimenko

Bug Description

Nailgun agent can't get speed of some type of network interfaces on discovered nodes.
As a fact we don't have any information about network interfaces speed and all related
checks like Fuel UI check in progress of bounding configuration return Warning or Error

Dima Herasimenko (dherasimenko) wrote :
Dmitry Klenov (dklenov) wrote :

@Dima Herasimenko,

Can you please give more detailed steps to reproduce? Currently there is not enough data to reproduce the issue.
Also it would be good to have example of the interface / card where speed is not determined correctly.

Changed in fuel:
assignee: nobody → Fuel Python Team (fuel-python)
tags: added: area-python
Changed in fuel:
importance: Undecided → Medium
milestone: none → 9.0
status: New → Incomplete
Dima Herasimenko (dherasimenko) wrote :

Hello @Dmitry Klenov,

here is output of
# lspci | egrep -i --color 'network|ethernet'

01:00.0 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
01:00.1 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
01:00.2 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
01:00.3 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
04:00.0 Ethernet controller: Emulex Corporation OneConnect 10Gb NIC (be3) (rev 01)
04:00.1 Ethernet controller: Emulex Corporation OneConnect 10Gb NIC (be3) (rev 01)
43:00.0 Ethernet controller: Emulex Corporation OneConnect 10Gb NIC (be3) (rev 01)
43:00.1 Ethernet controller: Emulex Corporation OneConnect 10Gb NIC (be3) (rev 01)

Bug affects Emulex Corporation OneConnect 10Gb NIC.

The issue is in rethtool lib which is required by nailgun-agent [ https://github.com/openstack/fuel-nailgun-agent/blob/master/agent#L28 ] .
Exactly in this line [ https://github.com/mpalmer/rethtool/blob/master/lib/rethtool/interface_settings.rb#L101 ] since for some reason Fiber NIC do not return any value in advertised parameter. Below You can find output of regular ethtool:

# ethtool eth7
Settings for eth7:
 Supported ports: [ FIBRE ]
 Supported link modes: 1000baseT/Full
                         10000baseT/Full
 Supported pause frame use: Symmetric
 Supports auto-negotiation: No
 Advertised link modes: Not reported
 Advertised pause frame use: No
 Advertised auto-negotiation: No
 Speed: 10000Mb/s
 Duplex: Full
 Port: FIBRE
 PHYAD: 1
 Transceiver: external
 Auto-negotiation: off
 Supports Wake-on: g
 Wake-on: g
 Current message level: 0x00002000 (8192)
          hw
 Link detected: yes

Thansk

Changed in fuel:
status: Incomplete → New
Ilya Kutukov (ikutukov) on 2016-02-11
Changed in fuel:
status: New → Confirmed
Changed in fuel:
assignee: Fuel Python Team (fuel-python) → Dima Herasimenko (dherasimenko)
status: Confirmed → In Progress
Dmitry Pyzhov (dpyzhov) on 2016-03-02
tags: added: team-network

Change abandoned by Andreas Jaeger (<email address hidden>) on branch: master
Review: https://review.opendev.org/279151
Reason: This repo is retired now, no further work will get merged.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers